.container {
  max-width: 140rem;
  padding: 0 2rem;
  margin: 0 auto;
}

.container--full {
  max-width: unset;
}

.btn {
  cursor: pointer;
  display: inline-flex;
  gap: .8rem;
  align-items: center;
  justify-content: center;
  padding: 2.4rem 4rem;
  font-size: 1.6rem;
  font-weight: 600;
  text-decoration: none;
  border: none;
  border-radius: 0.8rem;
  line-height: 1.4;
  text-align: start;
  transition: background-color 0.3s ease, color 0.3s ease;
}

.btn svg {
  flex-shrink: 0;
}

.btn-primary {
  background-color: var(--color-primary);
  color: #fff;

  &:hover {
    background-color: #0056b3;
  }
}

.btn-secondary {
  background-color: #e0e0e0;
  color: var(--color-primary);
  border: 2px solid var(--color-primary);

  &:hover {
    background-color: #ffffff;
  }
}


.btn-tertiary {
  background-color: #00B1FB;
  color: var(--color-primary);

  &:hover {
    background-color: #48c8ff;
  }
}

.btn-quaternary {
  border: 2px solid #00B1FB;
  color: #00B1FB;
  background: transparent;

  &:hover {
    background-color: #48c8ff;
    color: var(--color-primary);
  }
}